Bug 308581 - cman does not adjust expected_votes when a new node joins
cman does not adjust expected_votes when a new node joins
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.1
All Linux
high Severity high
: ---
: ---
Assigned To: Christine Caulfield
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 04:49 EDT by Christine Caulfield
Modified: 2009-12-22 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-22 17:06:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix (768 bytes, patch)
2007-09-27 04:59 EDT, Christine Caulfield
no flags Details | Diff

  None (edit)
Description Christine Caulfield 2007-09-27 04:49:14 EDT
Description of problem:
If I use "cman_tool expected_votes" to lower the expected votes count of a
cluster, then adding a new node should raise it back to the original value in
CCS. This does not happen

Version-Release number of selected component (if applicable):
5.0->5.1

How reproducible:
Every time

Steps to Reproduce:
1. Start 2 nodes of a 6 node cluster, This cluster will be inquorate
2. cman_tool expected -e1, to make it quorate
3. Join a new node
  
Actual results:
The new node has expected_votes set to 6 and goes inquorate.
The remaining nodes do NOT get the new value are are quorate.

Expected results:
All nodes should do inquorate as a result of the new expected_votes value.

Additional info:
Comment 1 Christine Caulfield 2007-09-27 04:59:27 EDT
Created attachment 207971 [details]
Patch to fix

This is pretty nasty, if we can get this into 5.1 I think we should.
Comment 2 Christine Caulfield 2007-09-27 05:06:02 EDT
Fixed on RHEL5 branch:

Checking in commands.c;
/cvs/cluster/cluster/cman/daemon/commands.c,v  <--  commands.c
new revision: 1.55.2.13; previous revision: 1.55.2.12
done
Comment 3 Christine Caulfield 2007-11-01 05:53:23 EDT
Missed 5.1, so I'll set it to MODIFIED as it will be in 5.2
Comment 4 Lon Hohberger 2009-12-22 17:06:03 EST
This was definitely fixed in 5.4; I did not check earlier releases.

Note You need to log in before you can comment on or make changes to this bug.